      %% output_data_type
        %   this function will determine what the desired output type of
        %   the function is, based on what the user has selected using the
        %   ports and datamanagement window. if the user has selected an
        %   unconvertable type, (inheret, fixed pt. etc.) it will return
        %   the empty string
        % inputs:
        %   object:GUI - GUI objecto
        % outputs:
        %   type:string - string representation of the output type.
        function type = output_data_type(object)
            if (object.mode == 1)
                S = sfroot;
                code_block = sprintf('%s/code',getfullname(object.block_handle));
                code_blocks = find_system(getfullname(object.block_handle),'LookUnderMasks','all','BlockType','SubSystem','Name','code');
                if ~isempty(code_blocks)
                    myState = S.find('-isa','Stateflow.EMChart', '-and', 'Path', code_block); % find which one we want to edit
                    if strncmp(myState.Outputs.DataType,'Inherit',7);
                        type = '';
                    elseif strncmp(myState.Outputs.DataType,'boolean',7);
                        type = 'logical';
                    else
                        type = myState.Outputs.DataType;
                    end
                else
                    type = '';
                end
            else
                type = '';
            end
        end
        
    