
%% generate_pvs_file
%   function will create a pvs file representing the table stored
%   in data.
% inputs:
%   object:PVS_checker - PVS_checker object
%   filename:string - string representing file name excluding
%   extension
% outputs;
%   none
function [] = generate_pvs_file(object,filename)
% type_mode = 0 -> use pvs types
% type_mode = 1 -> use simulink typing information
type_mode = 0;


function_names = EMLGenerator.parse_inputs(object.data.function_name);
function_name = char(function_names{1}(1));
if object.multi_mode == 0
    
    if (size(function_names{1},2) == 2)
        function_name_type = char(function_names{1}(2));
    else
        function_name_type = 'real';
    end
else
    output = [];
    for i=1:size(object.data.Grid1.cells,2)
        parsed_output = EMLGenerator.parse_inputs(strtrim(char(object.data.Grid1.cells(i).cond_text)));
        % if no specified output type
        output = [output char(parsed_output{1}(1))]
        if size(parsed_output{1},2) == 1
            output = [output ':real']
        else
            output = [output ':' char(parsed_output{1}(2))];
        end
        if i ~= size(object.data.Grid1.cells,2)
            output = [output ',']
        end
    end
    function_name_type = ['[# ' output ' #]'];
end


fileid = fopen([filename '.pvs'],'w');
code = [];
code = sprintf('%s:THEORY\nBEGIN\n',function_name);
%code = [code sprintf('IMPORTING Funcs\n')];
code = [code object.pvs_check_for_imports];

code = [code object.user_imports];
% declare variables for each input


if type_mode == 0
    %inputs = get(object.gui.function_inputs_control,'String');
    %inputs = regexp(inputs,',','split');
    parsed_inputs = EMLGenerator.parse_inputs(object.data.function_inputs);
    
    % add inputs to list of inputs to function
    inputs_new = [];
    for i=1:size(parsed_inputs,2)
        % set to zero
        if(size(parsed_inputs{i},2) == 2)
            inputs_new = [inputs_new char(parsed_inputs{i}(1)) ':' char(parsed_inputs{i}(2))];
        else
            inputs_new = [inputs_new char(parsed_inputs{i}(1)) ':' object.default_type];
        end
        
        if(i~=(size(parsed_inputs,2)))
            inputs_new = [inputs_new ','];
        end
    end
    code = [code sprintf('%s(%s):%s = \n',function_name,inputs_new,function_name_type)];
    
else
    inputs_new = [];
    for i=1:size(object.input_type,1)
        
        
        inputs_new = [inputs_new char(object.input_type(i,1)) ':' PVS_checker.matlab_type_to_pvs_type(char(object.input_type(i,2)))];
        
        if(i~=(size(object.input_type,1)))
            inputs_new = [inputs_new ','];
        end
    end
    code = [code sprintf('%s(%s):%s = \n',function_name,inputs_new,function_name_type)];
    
    %code = [code sprintf('%s(%s):real = \n',object.data.function_name,inputs_new)];
    
    
end
code = [code object.generate_pvs(object.data.Grid1,object.data.Grid2,0)];
code = [code sprintf('\nEND %s',function_name)];
fprintf(fileid,code);

fclose(fileid);

end


